using System.Diagnostics;

namespace OnAir
{
    public partial class AboutForm : Form
    {
        public AboutForm()
        {
            InitializeComponent();
        }

        private void lblAuthor_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            try
            {
                var psi = new ProcessStartInfo
                {
                    FileName = "mailto:hos@ct.de",
                    UseShellExecute = true
                };
                Process.Start(psi);
            }
            catch (Exception)
            {
                // So be it.
            }
        }

        private void lblInfo_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            try
            {
                var psi = new ProcessStartInfo
                {
                    FileName = "https://www.heise.de/select/ct/archiv/2024/25/seite-090",
                    UseShellExecute = true
                };
                Process.Start(psi);
            }
            catch (Exception)
            {
                // So be it.
            }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
        }
    }
}
